Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::PowerMeterController::PowerMeterCreatedEvent Struct Reference

Event: A power meter or panel was created. More...

Inheritance diagram for pdumodel::PowerMeterController::PowerMeterCreatedEvent:

## Public Attributes
PowerMeter | powerMeter
| New power meter instance.
PowerMeter::Config | config
| New power meter config.
PowerMeter::Settings | settings
| New power meter settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A power meter or panel was created.

Definition at line 43 of file PowerMeterController.idl.

## Member Data Documentation

## ◆ config

PowerMeter::Config pdumodel::PowerMeterController::PowerMeterCreatedEvent::config

New power meter config.

Definition at line 45 of file PowerMeterController.idl.

## ◆ powerMeter

PowerMeter pdumodel::PowerMeterController::PowerMeterCreatedEvent::powerMeter

New power meter instance.

Definition at line 44 of file PowerMeterController.idl.

## ◆ settings

PowerMeter::Settings pdumodel::PowerMeterController::PowerMeterCreatedEvent::settings

New power meter settings.

Definition at line 46 of file PowerMeterController.idl.

The documentation for this struct was generated from the following file:

- PowerMeterController.idl